Bug 493047 - Oprofile - Add Dunnington processors to the list of ppro cores
Oprofile - Add Dunnington processors to the list of ppro cores
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Jiri Olsa
chen yuwen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 09:18 EDT by Mike
Modified: 2011-01-13 15:46 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 15:46:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
adding Dunnigton and Merom-L model to operofile cpu_type (780 bytes, application/octet-stream)
2010-09-10 12:04 EDT, Jiri Olsa
no flags Details

  None (edit)
Description Mike 2009-03-31 09:18:17 EDT
Description of problem:
Dunnington processors are not recognized as core2 architecture processors in the oprofile module.  Adding a case statement in nmi_int.c for CPUs with model 29 resolves the issue.

Version-Release number of selected component (if applicable):
kernel-2.6.18-128.1.1.el5

How reproducible:
Run "opcontrol --list-events"

Steps to Reproduce:
1.
2.
3.
  
Actual results:
#opcontrol --list-events
Using timer interrupt.


Expected results:
#opcontrol --list-events
oprofile: available events for CPU type "Core 2"

See Intel Architecture Developer's Manual Volume 3, Appendix A and
Intel Architecture Optimization Reference Manual (730795-001)

CPU_CLK_UNHALTED: (counter: all)
....

Additional info:

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 29
model name      : Intel(R) Xeon(R) CPU           E7450  @ 2.40GHz
stepping        : 1
cpu MHz         : 2400.093
cache size      : 12288 KB
physical id     : 0
siblings        : 6
core id         : 0
cpu cores       : 6
fpu             : yes
fpu_exception   : yes
cpuid level     : 11
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall lm constant_tsc pni monitor ds_cpl vmx est tm2 cx16 xtpr lahf_lm
bogomips        : 4803.89
clflush size    : 64
cache_alignment : 64
address sizes   : 40 bits physical, 48 bits virtual
power management:
Comment 1 John Villalovos 2010-04-14 13:04:58 EDT
Before this could be done, it would need to be pushed to the upstream linux kernel.  Which I'm looking into.
Comment 2 Jiri Olsa 2010-09-10 12:04:59 EDT
Created attachment 446545 [details]
adding Dunnigton and Merom-L model to operofile cpu_type
Comment 3 Jiri Olsa 2010-09-10 12:11:19 EDT
hi,

please check the attached patch (comment 2).
Does anyone have access to Dunnington model I did not find it within
my machine circle.. if possible please try kernels in:

http://people.redhat.com/jolsa/493047/

and let me know if it works.. I have upstream patch ready, but would like
to hear if it works before I send it out ;)

thanks,
jirka
Comment 4 John Villalovos 2010-09-10 12:32:59 EDT
This is a Dunnington system:
https://beaker.engineering.redhat.com/view/intel-s3e3432-01.rhts.eng.bos.redhat.com
Comment 5 Jiri Olsa 2010-09-21 03:36:44 EDT
tested and sent upstream:
http://lkml.org/lkml/2010/9/21/57
Comment 7 RHEL Product and Program Management 2010-09-24 17:49:12 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 Jarod Wilson 2010-09-27 15:11:11 EDT
in kernel-2.6.18-225.el5
You can download this test kernel (or newer) from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.
Comment 12 chen yuwen 2010-12-05 22:00:03 EST
Reproduced on kernel 2.6.18-164.el5.
System: intel-s3e3432-01.rhts.eng.bos.redhat.com
OS: RHEL5-Server-U4

# opcontrol --list-events
Using timer interrupt.

---------------------------------
Verified on kernel 2.6.18-230.el5.

# opcontrol --list-events
oprofile: available events for CPU type "Core 2"
...
Comment 14 errata-xmlrpc 2011-01-13 15:46:43 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html

Note You need to log in before you can comment on or make changes to this bug.